package com.bankaudit.rest.process.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.bankaudit.process.model.ControlGapDetails;
import com.bankaudit.rest.process.dao.ControlGapDetailsDao;

@Service
@Transactional("transactionManager")
public class ControlGapDetailsServiceImpl  implements ControlGapDetailsService {
	
	@Autowired(required=true)
	ControlGapDetailsDao controlGapDetailsDao;
	
	public List<ControlGapDetails> getControlGapDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus){
		List<ControlGapDetails> controlGapDetailsLst =null;
		try {
			controlGapDetailsLst = controlGapDetailsDao.getControlGapDetails(legalEntityCode, auditId, observationId, recStatus);
		}catch(Exception e) {
			e.printStackTrace(System.out);
		}return controlGapDetailsLst;
	}
}
